package com.fjhx.mail.service.message;

import com.fjhx.mail.entity.message.dto.DeleteMailDto;
import com.fjhx.mail.entity.message.dto.SendDto;
import com.ruoyi.common.core.domain.entity.SysUser;

import java.util.List;

public interface InfoService {

    /**
     * 获取员工邮箱
     */
    List<SysUser> getUserList();

    /**
     * 发送邮件
     */
    String sendMail(SendDto dto);

    /**
     * 删除邮箱
     */
    void deleteMail(DeleteMailDto dto);

}
